//                                                        
//   Programa elaborado por Genaro Juarez Martinez        
//   e-mail: genaro@enigma.red.cinvestav.mx               
//               genarojm@correo.unam.mx                             
//   Area: Automatas Celulares                            
//   CINVESTAV IPN                                        
//                                                        

#import <AppKit/AppKit.h>

@interface life2dstvn : NSView
{
    id posicionx;
    id posiciony;
    id cellvivas;
    id generaciones;
    id densidad;
    id s_min;
    id s_max;
    id n_min;
    id n_max;
    NSTimer *linesTimer;
    BOOL running;
}

/*Inicializa la grafica*/
- initWithFrame:(NSRect)rects;

/*Dibuja la grafica*/
-(void)drawRect:(NSRect)rects;

/*Dibuja una linea*/
-(void)dibujarLinea:(int)x1:(int)y1:(int)x2:(int)y2:(float)rojo:(float)verde:(float)azul;

/*Limpia la vista*/
-(void)limpiarVista:(id)sender;

/*Limpia todo*/
-(void)limpiarTodo:(id)sender;

/*Dibuja la malla*/
-(void)dibujaMalla:(id)sender;

/*Activa el mouse con mouse down*/
-(void)mouseDown:(NSEvent *)event;

/*Dibuja una celula*/
-(void)dibujaPunto:(int)x:(int)y:(float)rojo:(float)verde:(float)azul;

/*Configuracion aleatoria*/
-(void)configuracionAleatoria:(id)sender;

/*Evolucion paso a paso*/
-(void)pasoaPaso:(id)sender;

/*Dibuja configuracion*/
-(void)dibujaConfiguracion:(id)sender;

- (void)dealloc;
- (void)toggleRun:sender;
- (void)animate:(NSTimer *)timer;

@end
